summaryrefslogtreecommitdiffstats
path: root/libraries/locale-gettext
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 14:56:22 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:56:22 +0200
commit8f20ca46bdedc54a19fa4981af92b03813ceb326 (patch)
treee283887fe72dae8db89b31227f3e65df5a5e2812 /libraries/locale-gettext
parent4fe056594cc76e5a1394ecb4f5763b0a739d8b5b (diff)
downloadslackbuilds-8f20ca46bdedc54a19fa4981af92b03813ceb326.tar.gz
slackbuilds-8f20ca46bdedc54a19fa4981af92b03813ceb326.tar.xz
libraries/locale-gettext: Initial import
Diffstat (limited to 'libraries/locale-gettext')
-rw-r--r--libraries/locale-gettext/README6
-rw-r--r--libraries/locale-gettext/locale-gettext.SlackBuild63
-rw-r--r--libraries/locale-gettext/locale-gettext.info8
-rw-r--r--libraries/locale-gettext/slack-desc8
4 files changed, 85 insertions, 0 deletions
diff --git a/libraries/locale-gettext/README b/libraries/locale-gettext/README
new file mode 100644
index 0000000000..5a1823d4d3
--- /dev/null
+++ b/libraries/locale-gettext/README
@@ -0,0 +1,6 @@
+Locale::gettext perl module
+
+This is a perl5 module quickly written to gain access to
+the C library functions for internatialization. They work
+just like the C versions.
+
diff --git a/libraries/locale-gettext/locale-gettext.SlackBuild b/libraries/locale-gettext/locale-gettext.SlackBuild
new file mode 100644
index 0000000000..c01609d2a3
--- /dev/null
+++ b/libraries/locale-gettext/locale-gettext.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for locale-gettext perl module
+
+# Copyright 2006 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=locale-gettext
+VERSION=1.05
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf gettext-$VERSION
+tar -xzvf $CWD/gettext-$VERSION.tar.gz || exit 1
+cd gettext-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+perl Makefile.PL PREFIX=/usr || exit 1
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/usr/share/man $PKG/usr/man
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/locale-gettext/locale-gettext.info b/libraries/locale-gettext/locale-gettext.info
new file mode 100644
index 0000000000..bbe433c380
--- /dev/null
+++ b/libraries/locale-gettext/locale-gettext.info
@@ -0,0 +1,8 @@
+PRGNAM="locale-gettext"
+VERSION="1.05"
+HOMEPAGE="http://search.cpan.org/~pvandry/gettext/gettext.pm"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/P/PV/PVANDRY/gettext-1.05.tar.gz"
+MD5SUM="f3d3f474a1458f37174c410dfef61a46"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="robw810"
diff --git a/libraries/locale-gettext/slack-desc b/libraries/locale-gettext/slack-desc
new file mode 100644
index 0000000000..6eac41ce5c
--- /dev/null
+++ b/libraries/locale-gettext/slack-desc
@@ -0,0 +1,8 @@
+locale-gettext: Locale::gettext perl module
+locale-gettext:
+locale-gettext: This is a perl5 module quickly written to gain access to
+locale-gettext: the C library functions for internatialization. They work
+locale-gettext: just like the C versions.
+locale-gettext:
+locale-gettext:
+locale-gettext: